@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface ActiveMQEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
ActiveMQEndpointBuilderFactory.ActiveMQBuilders |
static interface |
ActiveMQEndpointBuilderFactory.ActiveMQEndpointBuilder
Builder for endpoint for the ActiveMQ component.
|
static interface |
ActiveMQEndpointBuilderFactory.ActiveMQEndpointConsumerBuilder
Builder for endpoint consumers for the ActiveMQ component.
|
static interface |
ActiveMQEndpointBuilderFactory.ActiveMQEndpointProducerBuilder
Builder for endpoint producers for the ActiveMQ component.
|
static interface |
ActiveMQEndpointBuilderFactory.AdvancedActiveMQEndpointBuilder
Advanced builder for endpoint for the ActiveMQ component.
|
static interface |
ActiveMQEndpointBuilderFactory.AdvancedActiveMQEndpointConsumerBuilder
Advanced builder for endpoint consumers for the ActiveMQ component.
|
static interface |
ActiveMQEndpointBuilderFactory.AdvancedActiveMQEndpointProducerBuilder
Advanced builder for endpoint producers for the ActiveMQ component.
|
static class |
ActiveMQEndpointBuilderFactory.ConsumerType
Proxy enum for
org.apache.camel.component.jms.ConsumerType
enum. |
static class |
ActiveMQEndpointBuilderFactory.DefaultTaskExecutorType
Proxy enum for
org.apache.camel.component.jms.DefaultTaskExecutorType enum. |
static class |
ActiveMQEndpointBuilderFactory.JmsMessageType
Proxy enum for
org.apache.camel.component.jms.JmsMessageType
enum. |
static class |
ActiveMQEndpointBuilderFactory.ReplyToType
Proxy enum for
org.apache.camel.component.jms.ReplyToType
enum. |
| Modifier and Type | Method and Description |
|---|---|
static ActiveMQEndpointBuilderFactory.ActiveMQEndpointBuilder |
activemq(String path)
ActiveMQ (camel-activemq)
The activemq component allows messages to be sent to (or consumed from)
Apache ActiveMQ.
|
static ActiveMQEndpointBuilderFactory.ActiveMQEndpointBuilder activemq(String path)
activemq:destinationType:destinationName
Path parameter: destinationType
The kind of destination to use
Default value: queue
The value can be one of: queue, topic, temp-queue, temp-topic
Path parameter: destinationName (required)
Name of the queue or topic to use as destinationApache Camel